var editorDelegate = {
snippetLabelChanged: function(labelText) {
    window.webkit.messageHandlers.snippetLabelChanged.postMessage(labelText);
},
snippetAbbreviationChanged: function(abbreviationText) {
	window.webkit.messageHandlers.snippetAbbreviationChanged.postMessage(abbreviationText);
},
snippetAbbreviationCaseChanged: function(abbreviationCase) {
    window.webkit.messageHandlers.snippetAbbreviationCaseChanged.postMessage(abbreviationCase);
},
snippetContentTextChanged: function(snippetContentText) {
	window.webkit.messageHandlers.snippetContentTextChanged.postMessage(snippetContentText);
},
snippetContentTypeChanged: function(snippetContentType) {
    window.webkit.messageHandlers.snippetContentTypeChanged.postMessage(snippetContentType);
}
};

setEditorDelegate(editorDelegate);


var imageImportDelegate = new Object();

imageImportDelegate.promptUserToSelectPhoto = function() {
	window.webkit.messageHandlers.promptUserToSelectPhoto.postMessage("");
};

setImageImportDelegate(imageImportDelegate);

var editorLogDelegate = {
editorLog: function(message) {
	window.webkit.messageHandlers.editorLog.postMessage(message);
},
}
setEditorLogDelegate(editorLogDelegate);

var previewDelegate = new Object();

previewDelegate.showPreview = function() {
    window.webkit.messageHandlers.showPreview.postMessage("");
};

setPreviewDelegate(previewDelegate);
